Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class SetPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.BasePropertyTag
                  |
                  +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.SetPropertyTag

public class SetPropertyTag
extends BasePropertyTag

JSP Tag to set pipeline property

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `value`

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.BasePropertyTag
`namespace, pipelineSession, property, scope`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`SetPropertyTag()`

Method Summary
`int` | `doStartTag()`
`java.lang.Object` | `getValue()`
`void` | `release()` Release this tag.
`void` | `setValue(java.lang.Object value)`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.BasePropertyTag
`getCurrentNamespace, getNamespace, getPipelineSession, getProperty, getRequestContext, getScope, initialize, setNamespace, setProperty, setScope`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.Object value

Constructor Detail

### SetPropertyTag

    public SetPropertyTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class BasePropertyTag

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class BasePropertyTag

### setValue

    public void setValue(java.lang.Object value)

### getValue

    public java.lang.Object getValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved